Subject: bug#38343: 27.0.50; vc git: Cannot edit outgoing log (like git commit --amend)

From: Fredrik Nyqvist <[email-masked]>
Date: Tue, 26 Nov 2019 21:43:54 +0100

Den mån 25 nov. 2019 kl 23:49 skrev Dmitry Gutov <[email-masked]>:

> On 25.11.2019 22:16, Fredrik Nyqvist wrote:
> > Yes, I have tried the option you mention to edit the last commit with
> > C-x C-e and it is working fine.
> > But It seems that it only allows amending the last commit if I have
> > edited a file.
>
> Yes. Not sure how to change an arbitrary commit in Git anyway (without
> interactive rebase). The best approximation looks like this:
>
> https://stackoverflow.com/a/48999882/615245

I am not sure how to do it in a good way either. Maybe the option to edit
an
older commit message could be skipped for vc-git. And then just allow amend
on the latest one.